#ifndef EYELIGHTSHADER_HXX
#define EYELIGHTSHADER_HXX

#include "Shader.hxx"

class EyeLightShader : public Shader
{
public:
  EyeLightShader(Scene* scene, const Vec3f& color = Vec3f(0.5,0.5,0.5));
  virtual ~EyeLightShader();

  virtual Vec3f Shade(Ray& ray);
private:
  EyeLightShader();
  
protected:
  Vec3f m_color;
};
#endif
