#ifndef IMAGE_HXX
#define IMAGE_HXX

#include <string>

#include "Vec3f.hxx"

class Image
{
public:
  Image(int resX,int resY);
  ~Image();
  
  //! pixel access operator read/write
  Vec3f& operator()(int x, int y);
    
  void WritePPM(const std::string& fileName);/*in Image.cxx*/
  
private:
  Image();
  Image(const Image& );
  Image& operator=(const Image& );
  
  int m_resX, m_resY;
  Vec3f* m_pixel;
};

#endif
